## librsvg 2.40.5

=== debian/changelog ===
librsvg (2.40.5-1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
    Thanks to Brian May <bam@debian.org> for the preliminary work.
  * state: Store mask as reference (CVE-2016-4348)
  * state: Look up clip path lazily
  * rsvg: Add rsvg_acquire_node() (CVE-2015-7558 CVE-2016-4347)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 May 2016 22:38:10 +0200

librsvg (2.40.5-1+deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2015-7557: Out-of-bounds heap read when parsing SVG file.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Thu, 24 Mar 2016 11:02:20 +0100

librsvg (2.40.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Install typelib files into multiarch paths.
  * Mark gir and dev package as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 16:46:07 +0200

librsvg (2.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage: URL.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Sep 2014 01:00:54 +0200

librsvg (2.40.3-2) unstable; urgency=medium

  * Cherry-pick upstream fix to handle compressed input in rsvg-convert.
    Closes: #760178

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 00:27:37 +0200

librsvg (2.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.5.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Aug 2014 01:59:58 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: librsvg
Section: libs
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.93),
               debhelper (>= 8.1.3),
               dh-autoreconf (>= 4),
               libxml2-dev (>= 2.7.0),
               libglib2.0-dev (>= 2.24.0),
               libcairo2-dev (>= 1.2.0),
               libpango1.0-dev (>= 1.36.0),
               libgdk-pixbuf2.0-dev (>= 2.23.5-2),
               libgtk-3-dev (>= 3.2.0),
               libgsf-1-dev (>= 1.13.2-2),
               gnome-pkg-tools (>= 0.10),
               libcroco3-dev (>= 0.6.1),
               gtk-doc-tools (>= 1.13),
               gobject-introspection (>= 0.10.8),
               libgirepository1.0-dev (>= 0.10.8),
               libglib2.0-doc,
               libcairo2-doc,
               valac (>= 0.17.5)
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Projects/LibRsvg
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/librsvg
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/librsvg

Package: librsvg2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         librsvg2-2 (= ${binary:Version}),
         librsvg2-common (= ${binary:Version}),
         gir1.2-rsvg-2.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.24.0),
         libgdk-pixbuf2.0-dev (>= 2.23.5-2),
         libcairo2-dev (>= 1.2.0)
Suggests: librsvg2-doc
Multi-Arch: same
Description: SAX-based renderer library for SVG files (development)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the necessary development libraries and include
 files to allow you to develop with librsvg.

Package: librsvg2-2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: librsvg2-common
Suggests: librsvg2-bin
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: SAX-based renderer library for SVG files (runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the runtime library, necessary to run
 applications using librsvg.

Package: librsvg2-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         librsvg2-2 (= ${binary:Version})
Breaks: libgdk-pixbuf2.0-0 (<< 2.23.5-2), libgtk2.0-0 (<< 2.24.5-4)
Multi-Arch: same
Description: SAX-based renderer library for SVG files (extra runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes the gdk-pixbuf loader allowing
 to load SVG images transparently inside GTK+ applications.

Package: librsvg2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Breaks: librsvg2-dev (<< 2.34.2-2)
Replaces: librsvg2-dev (<< 2.34.2-2)
Description: SAX-based renderer library for SVG files (documentation)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the API documentation.

Package: librsvg2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         librsvg2-2 (= ${binary:Version})
Description: SAX-based renderer library for SVG files (debug)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the debugging symbols.

Package: librsvg2-bin
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         librsvg2-2 (>= ${binary:Version})
Multi-Arch: foreign
Description: command-line and graphical viewers for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes a command-line utility to convert the SVG files
 to the PNG format and a graphical SVG viewer.

Package: gir1.2-rsvg-2.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Multi-Arch: same
Description: gir files for renderer library for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains gobject introspection information.

## librsvg 2.40.9

=== debian/changelog ===
librsvg (2.40.9-1) experimental; urgency=medium

  * New upstream release 2.40.9

 -- Iain Lane <laney@debian.org>  Mon, 30 Mar 2015 18:05:57 +0100

librsvg (2.40.8-1) experimental; urgency=medium

  * New upstream release
    - Bugs fixed from fuzz testing - possible double g_free() when processing
      stroke-dasharray
    - Optimize rendering of polylines, lines, rectangles, circles, and
      ellipses.  These should be marginally faster, marginally more precise,
      and should put less pressure on the memory allocator.

 -- Iain Lane <laney@debian.org>  Mon, 02 Mar 2015 12:10:56 +0000

librsvg (2.40.7-1) experimental; urgency=medium

  * New upstream release 2.40.7, fixing bugs detected by fuzz testing.
  * Refresh debian/patches/20_rsvg_compat.patch to apply cleanly

 -- Iain Lane <laney@debian.org>  Wed, 18 Feb 2015 14:39:41 +0000

librsvg (2.40.6-1) experimental; urgency=medium

  * New upstream release 2.40.6.
    - Fix path data number parsing (LP: #370061)

 -- Iain Lane <laney@debian.org>  Wed, 10 Dec 2014 10:09:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                dh-autoreconf (>= 4),

## librsvg 2.40.10

=== debian/changelog ===
librsvg (2.40.10-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop obsolete Breaks/Replaces from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Aug 2015 12:50:57 +0200

librsvg (2.40.9-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 May 2015 00:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Josselin Mouette <joss@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                dh-autoreconf (>= 4),
                libxml2-dev (>= 2.7.0),
                libglib2.0-dev (>= 2.24.0),
@@ -69,7 +69,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          librsvg2-2 (= ${binary:Version})
-Breaks: libgdk-pixbuf2.0-0 (<< 2.23.5-2), libgtk2.0-0 (<< 2.24.5-4)
 Multi-Arch: same
 Description: SAX-based renderer library for SVG files (extra runtime)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
@@ -83,8 +82,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
-Breaks: librsvg2-dev (<< 2.34.2-2)
-Replaces: librsvg2-dev (<< 2.34.2-2)
 Description: SAX-based renderer library for SVG files (documentation)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.

## librsvg 2.40.11

=== debian/changelog ===
librsvg (2.40.11-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 13:02:58 +0200

## librsvg 2.40.13

=== debian/changelog ===
librsvg (2.40.13-3) unstable; urgency=medium

  * Restore 01_Revert-bgo-520654-Support-export-id-in-rsvg-convert-.patch.
    The upstream patch 30_Don-t-crash-when-filters-don-t-exist.patch addresses
    a different issue, so the revert is still necessary.
  * Bump Standards-Version to 3.9.7.
  * Drop librsvg2-dbg now that we have automatic dbgsym packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Feb 2016 00:37:18 +0100

librsvg (2.40.13-2) unstable; urgency=medium

  * Replace 01_Revert-bgo-520654-Support-export-id-in-rsvg-convert-.patch with
    a proper upstream fix.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Jan 2016 15:32:06 +0100

librsvg (2.40.13-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Jan 2016 22:15:43 +0100

librsvg (2.40.12-1) unstable; urgency=medium

  * New upstream release.
    - Refactore the test harness to use Glib's gtest infrastructure, instead
      of using home-grown machinery.
    - Gzipped SVGs now work if read from streams.
    - References to objects/filters/URIs/etc. are now handled lazily.
    - There is a general-purpose cycle detector so malformed SVGs don't cause
      infinite loops.
    - Removed parsing of Adobe blend modes; they were not implemented, anyway.
  * debian/patches/01_Revert-bgo-520654-Support-export-id-in-rsvg-convert-.patch:
    Refresh.

 -- Iain Lane <laney@debian.org>  Wed, 02 Dec 2015 17:58:44 +0000

librsvg (2.40.11-2) unstable; urgency=medium

  * Revert upstream commit which added support for --export-id parameter. This
    change broke the behaviour of -w/-h and -x/-y which now crop the image
    instead of scaling it. (Closes: #801992)

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Nov 2015 16:55:57 +0100

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
                libglib2.0-doc,
                libcairo2-doc,
                valac (>= 0.17.5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/librsvg
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/librsvg
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/librsvg
 
 Package: librsvg2-dev
 Section: libdevel
@@ -88,19 +88,6 @@
  .
  This package provides the API documentation.
 
-Package: librsvg2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         librsvg2-2 (= ${binary:Version})
-Description: SAX-based renderer library for SVG files (debug)
- The rsvg library is an efficient renderer for Scalable Vector Graphics
- (SVG) pictures.
- .
- This package contains the debugging symbols.
-
 Package: librsvg2-bin
 Section: graphics
 Architecture: any

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/librsvg/([\d\.]+[02468])/librsvg-([\d\.]+)\.tar\.xz

## librsvg 2.40.16

=== debian/changelog ===
librsvg (2.40.16-2~svn1) zesty; urgency=medium

  * Grab this from SVN to beat Final Freeze.

 -- Iain Lane <laney@debian.org>  Thu, 06 Apr 2017 14:15:48 +0100

librsvg (2.40.16-2) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Add debian/patches/add-thumbnailer-file.patch,
  * debian/librsvg-2-common.install:
    - Add .thumbnailer file so that svg thumbnails work with gnome-desktop3
      3.24.

  [ Iain Lane ]
  * Run dh_install with --fail-missing

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Apr 2017 14:09:58 +0100

librsvg (2.40.16-1) unstable; urgency=medium

  * New upstream release.
  * Drop 01_Revert-bgo-520654-Support-export-id-in-rsvg-convert-.patch, this
    has been fixed upstream for good.
  * Convert from cdbs to dh.
  * Drop unused ${python:Depends} from librsvg2-bin.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Drop 20_rsvg_compat.patch and the /usr/bin/rsvg compat symlink.
    All reverse dependencies had enough time to update to use
    /usr/bin/rsvg-convert.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Jun 2016 21:07:28 +0200

librsvg (2.40.15-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8
  * Drop debian/patches/30_Don-t-crash-when-filters-don-t-exist.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Apr 2016 18:36:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 9),
                dh-autoreconf (>= 4),
                libxml2-dev (>= 2.7.0),
                libglib2.0-dev (>= 2.24.0),
@@ -25,7 +24,7 @@
                libglib2.0-doc,
                libcairo2-doc,
                valac (>= 0.17.5)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/librsvg
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/librsvg
@@ -93,7 +92,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python:Depends},
          librsvg2-2 (>= ${binary:Version})
 Multi-Arch: foreign
 Description: command-line and graphical viewers for SVG files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with autoreconf,gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-pixbuf-loader \
		--enable-introspection \
		--enable-vala \
		--enable-gtk-doc

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_install:
	rm debian/tmp/usr/lib/*/*.la \
		debian/tmp/usr/lib/*/gdk-pixbuf-*/*/loaders/*.a \
		debian/tmp/usr/lib/*/gdk-pixbuf-*/*/loaders/*.la
	dh_install --fail-missing
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
		debian/librsvg2-common.postinst

override_dh_clean:
	dh_clean
	rm -f debian/librsvg2-common.postinst

## librsvg 2.40.18

=== debian/changelog ===
librsvg (2.40.18-1) unstable; urgency=medium

  * New upstream release.
    + Fixes CVE-2017-11464: division by zero caused when parsing especially
      crafted SVG files. Closes: #869129.
  * librsvg2-common.install: install the thumbnailer spec file. It goes in
    the pixbuf loader package (-common) as it can't be used without it.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 21 Jul 2017 10:18:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf (>= 4),
                libxml2-dev (>= 2.7.0),

## librsvg 2.40.20

=== debian/changelog ===
librsvg (2.40.20-3+ports) unreleased; urgency=medium

  * Replace libgdk-pixbuf2.0-dev with libgdk-pixbuf-2.0-dev
    in Build-Depends and Depends in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 21 Feb 2025 16:28:48 +0100

librsvg (2.40.20-3) unstable; urgency=medium

  * Team upload
  * Set GDK_PIXBUF_QUERYLOADERS to
    /usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders
    since we no longer install the /usr/bin/gdk-pixbuf-query-loaders
    symlink for multiarch co-installability (Closes: #907306)
  * Don't install detailed ChangeLog, only NEWS
  * Bump Standards-Version to 4.2.1 (no further changes required)
  * Set Rules-Requires-Root to no
  * d/gbp.conf: Use debian/sid, upstream/2.40.x branches
  * d/gbp.conf: Don't generate numbered patches
  * d/p/Ensure-GFile-is-unreferenced-to-avoid-filename-memory-lea.patch:
    Add patch from upstream librsvg-2.40 branch to fix a memory leak
  * Update Vcs-* for migration to salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Sun, 26 Aug 2018 16:34:42 +0100

librsvg (2.40.20-2) unstable; urgency=medium

  * Team upload
  * Skip tests that are known to fail on 32-bit architectures. Some
    masking tests produce images that differ slightly from the reference,
    but the differences are not immediately noticeable and don't seem
    release-critical. (Mitigates: #884849, #884850)
    - These are only skipped if the DEB_BUILD_TIME_TESTS environment
      variable is set, which debian/rules now does; so autopkgtests
      (if added) would still run them.

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Dec 2017 00:44:40 +0000

librsvg (2.40.20-1) unstable; urgency=medium

  * New upstream release
  * debian/librsvg2-2.symbols: Add new symbol
  * Drop 20_bgo-782098-Don-t-pass-deprecated-nogtkinit-to-gtkdoc.patch:
    Applied in new release
  * Add disable-new-failing-test.patch:
    - Disable newly introduced test that fails
  * debian/librsvg2-2.docs: TODO is no longer provided in new version

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 19:30:49 -0500

librsvg (2.40.18-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Use dh_missing --fail-missing
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 17:15:34 -0500

librsvg (2.40.18-2) unstable; urgency=medium

  * Drop Build-Depends on libgsf-1-dev. It's no longer needed with GIO 2.24.
  * Mark the libgtk-3-dev Build-Depends as <!stage1> to make the source
    package easier to bootstrap. This will skip the build of the rsvg-view-3
    binary which is not crucial for the functionality of the library package.
    (Closes: #871535)
  * Cherry-pick upstream fix to no longer pass deprecated --nogtkinit to
    gtkdoc-scangobj. (Closes: #876615)
  * Bump Standards-Version to 4.1.1.
  * Bump debhelper compat level to 10 for automatic dh-autoreconf.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2017 04:52:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: librsvg
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf (>= 4),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                libxml2-dev (>= 2.7.0),
                libglib2.0-dev (>= 2.24.0),
                libcairo2-dev (>= 1.2.0),
                libpango1.0-dev (>= 1.36.0),
-               libgdk-pixbuf2.0-dev (>= 2.23.5-2),
-               libgtk-3-dev (>= 3.2.0),
-               libgsf-1-dev (>= 1.13.2-2),
+               libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
+               libgtk-3-dev (>= 3.2.0) <!stage1>,
                gnome-pkg-tools (>= 0.10),
                libcroco3-dev (>= 0.6.1),
                gtk-doc-tools (>= 1.13),
@@ -24,10 +22,11 @@
                libglib2.0-doc,
                libcairo2-doc,
                valac (>= 0.17.5)
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/librsvg
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/librsvg
+Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 
 Package: librsvg2-dev
 Section: libdevel
@@ -37,7 +36,7 @@
          librsvg2-common (= ${binary:Version}),
          gir1.2-rsvg-2.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.24.0),
-         libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+         libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
          libcairo2-dev (>= 1.2.0)
 Suggests: librsvg2-doc
 Multi-Arch: same
@@ -54,7 +53,6 @@
          ${shlibs:Depends}
 Recommends: librsvg2-common
 Suggests: librsvg2-bin
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: SAX-based renderer library for SVG files (runtime)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
@@ -79,6 +77,7 @@
 Package: librsvg2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
 Description: SAX-based renderer library for SVG files (documentation)

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
NULL =

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-pixbuf-loader \
		--enable-introspection \
		--enable-vala \
		--enable-gtk-doc \
		GDK_PIXBUF_QUERYLOADERS=/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		$(NULL)

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	dh_install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
		debian/librsvg2-common.postinst

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	rm -f debian/librsvg2-common.postinst

# Skip some tests that are known to fail but don't seem release-critical
export DEB_BUILD_TIME_TESTS = 1

## librsvg 2.40.21

=== debian/changelog ===
librsvg (2.40.21-0+deb9u1) stretch-security; urgency=medium

  * New upstream stable release.
  * CVE-2019-20446: DoS via billion laughs attack.
  * CVE-2017-11464: DoS via division-by-zero.
  * Several crashes, leaks and rendering fixes.
  * Revert some tests that fail due to slightly different text rendering
    in stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 22 Jul 2020 12:04:00 +0200

## librsvg 2.44.10

=== vendor/gio/Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Gio-2.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== vendor/glib/Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Glib-2.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== vendor/itertools/Makefile ===
DOCCRATES = itertools

# deps to delete the generated docs
RMDOCS =

FEATURES =

VERSIONS = $(patsubst %,target/VERS/%,$(DOCCRATES))

docs: mkdocs subst $(RMDOCS)

# https://www.gnu.org/software/make/manual/html_node/Automatic-Variables.html
$(VERSIONS): Cargo.toml
	mkdir -p $(@D)
	cargo pkgid $(@F) | sed -e "s/.*#\(\|.*:\)//" > "$@"

$(DOCCRATES): %: target/VERS/%
	# Put in the crate version into the docs
	find ./doc/$@ -name "*.html" -exec sed -i -e "s/<title>\(.*\) - Rust/<title>$@ $(shell cat $<) - \1 - Rust/g" {} \;

subst: $(DOCCRATES)

mkdocs: Cargo.toml
	cargo doc --features=$(FEATURES) --no-deps
	rm -rf ./doc
	cp -r ./target/doc ./doc
	- cat ./custom.css >> doc/main.css

$(RMDOCS): mkdocs
	rm -r ./doc/$@
	sed -i "/searchIndex\['$@'\]/d" doc/search-index.js


.PHONY: docs mkdocs subst $(DOCCRATES) $(RMDOCS)

=== vendor/nalgebra/Makefile ===
all:
	cargo test --features "debug arbitrary serde-serialize abomonation-serialize"
	# cargo check --features "debug arbitrary serde-serialize"

doc:
	cargo doc --no-deps --features "debug arbitrary serde-serialize abomonation"

bench:
	cargo bench

test:
	cargo test --features "debug arbitrary serde-serialize abomonation-serialize"

=== vendor/pango/Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Pango-1.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== debian/changelog ===
librsvg (2.44.10-2.1+rpi1+deb10u3) buster-staging; urgency=medium

  [changes brought forward from 2.44.10-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 16 Apr 2019 11:14:58 +0000]
  * Side-port patch to workaround logarithm calculation issue in typenum
    build from raspbian cargo package.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 11 Sep 2022 23:37:42 +0000

librsvg (2.44.10-2.1+deb10u3) buster; urgency=medium

  * nalgebra-borrow-mutable-immutable.patch:
    - Update checksum for cg.rs.
  * cssparser-dont-assign-to-borrowed-variable.patch:
    - Fix another build failure with rustc 1.41.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 20 Sep 2020 21:21:54 +0200

librsvg (2.44.10-2.1+deb10u2) buster; urgency=medium

  * nalgebra-borrow-mutable-immutable.patch: fix build with rustc 1.41.
  * Don-t-drop-nodes-recursively-to-avoid-stack-over.patch: fix stack
    exhaustion due to recursion when freeing nodes, which caused FTBFS
    on ppc64el and s390x with the newly introduced tests for CVE-2019-20446.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 20 Sep 2020 10:48:42 +0200

librsvg (2.44.10-2.1+deb10u1) buster; urgency=medium

  * CVE-2019-20446: DoS via billion laughs attack.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 22 Jul 2020 13:11:57 +0200

librsvg (2.44.10-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/keep-positive-radii.patch: backport an upstream fix for
    an assertion error where radii should always be positive
    (Closes: #927886)

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Apr 2019 15:55:18 -0400

librsvg (2.44.10-2) unstable; urgency=medium

  * debian/patches/typenum-i386-ftbfs.patch: backport an upstream fix for a
    build failure in the vendored typenum crate on i386 (LP: #1823426)
    (Closes: #926840)
  * debian/patches/i386-rounding-errors.patch: fix a rounding error on i386
    that would result in a unit test failure

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 11 Apr 2019 09:29:30 +0100

librsvg (2.44.10-1) unstable; urgency=medium

  * New upstream release
  * Restore -Wl,-O1 to our extra LDFLAGS

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 11 Dec 2018 16:02:52 -0500

librsvg (2.44.9-1) unstable; urgency=medium

  * New upstream release
    - Fix regression seen with Debian lines wallpaper (Closes: #912949)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Nov 2018 17:59:09 -0500

librsvg (2.44.8-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Nov 2018 14:39:02 -0400

librsvg (2.44.8-2) experimental; urgency=medium

  [ Frédéric Bonnard ]
  * Use CARGO_INCREMENTAL=1 on powerpc arches to workaround test failure
    there (Closes: #895723)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Nov 2018 13:00:09 -0400

librsvg (2.44.8-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: Update
  * Make all the test logs end up in the buildd log, even if they passed
  * Don't re-run tests in an Architecture:all-only build, running them
    once per architecture is quite enough

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 20:09:26 +0000

librsvg (2.44.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Should fix FTBFS on big-endian architectures (except the powerpc
      family which have a separate issue)
  * d/p/Use-LIBRSVG_LIBS-LIBM-to-satisfy-dependencies-of-RUST_LIB.patch:
    Drop, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Sep 2018 13:28:44 +0100

librsvg (2.44.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Repack orig.tar.xz to exclude prebuilt Windows import libraries from
    Rust code
  * d/p/10_rsvg-gz.patch: Rebase
  * d/p/git-238-build-failure-on-ubuntu-debian.patch: Drop, fixed upstream
  * Build-depend on rustc 1.26
  * Ignore ABI change in package-internal function rsvg_css_parse_color_()
  * debian/librsvg2-2.symbols: Ignore removal of rsvg_cairo_to_pixbuf,
    rsvg_defs_lookup, rsvg_pixbuf_from_data_with_size_data: not used in
    Debian according to codesearch.debian.net, and comments in the old
    code indicate that they were not intentionally public
  * d/copyright: Update for Rust code
  * Merge changes from 2.40.20-3 in unstable
    - Set GDK_PIXBUF_QUERYLOADERS to
      /usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders
      since we no longer install the /usr/bin/gdk-pixbuf-query-loaders
      symlink for multiarch co-installability (Closes: #907306)
    - Don't install detailed ChangeLog, only NEWS
    - Bump Standards-Version to 4.2.1 (no further changes required)
    - Set Rules-Requires-Root to no
    - d/gbp.conf: Don't generate numbered patches
  * Normalize dependency and file lists (wrap-and-sort -a)
  * d/p/Use-LIBRSVG_LIBS-LIBM-to-satisfy-dependencies-of-RUST_LIB.patch:
    Add patch to fix FTBFS
  * Use a temporary CARGO_HOME as per
    https://wiki.debian.org/Teams/RustPackaging/Policy
  * d/rules: Remove per-file checksums from
    vendor/backtrace-sys/.cargo-checksum.json so that cargo test will
    not fail when we replace config.guess, config.sub
    - Build-Depend on jq for this
  * d/librsvg2-2.lintian-overrides: Add override for package name not
    exactly matching convention. It has been like this for at least 14
    years so we aren't going to change it now, unless/until the SONAME
    changes and it needs a rename anyway.
  * d/librsvg2-common.lintian-overrides: Add override for not being
    linked against libc. The pixbuf loader genuinely doesn't use any
    libc ABIs directly.
  * Fix spelling of GObject-Introspection in package Description
  * Rename man page to match rsvg-view-3 binary name
  * Build GNOME installed-tests, but do not package them right now to
    avoid a new binary package and a trip through the NEW queue
  * Add simple autopkgtests, with better test coverage to follow when


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: librsvg
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper (>= 11),
               dh-cargo,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.8),
               gtk-doc-tools (>= 1.13),
               jq,
               libcairo2-dev (>= 1.2.0),
               libcairo2-doc (>= 1.15.4),
               libcroco3-dev (>= 0.6.1),
               libfreetype6-dev (>= 2.8.0),
               libgdk-pixbuf2.0-dev (>= 2.23.5-2),
               libgirepository1.0-dev (>= 0.10.8),
               libglib2.0-dev (>= 2.24.0),
               libglib2.0-doc (>= 2.52.0),
               libgtk-3-dev (>= 3.2.0) <!stage1>,
               libpango1.0-dev (>= 1.38.0),
               libxml2-dev (>= 2.9.0),
               rustc (>= 1.26),
               valac (>= 0.17.5)
Rules-Requires-Root: no
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
Homepage: https://wiki.gnome.org/Projects/LibRsvg

Package: librsvg2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.2.0),
         libgdk-pixbuf2.0-dev (>= 2.23.5-2),
         libglib2.0-dev (>= 2.24.0),
         librsvg2-2 (= ${binary:Version}),
         librsvg2-common (= ${binary:Version}),
         ${misc:Depends}
Suggests: librsvg2-doc
Multi-Arch: same
Description: SAX-based renderer library for SVG files (development)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the necessary development libraries and include
 files to allow you to develop with librsvg.

Package: librsvg2-2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: librsvg2-common
Suggests: librsvg2-bin
Multi-Arch: same
Description: SAX-based renderer library for SVG files (runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the runtime library, necessary to run
 applications using librsvg.

Package: librsvg2-common
Architecture: any
Depends: librsvg2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: SAX-based renderer library for SVG files (extra runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes the gdk-pixbuf loader allowing
 to load SVG images transparently inside GTK+ applications.

Package: librsvg2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: SAX-based renderer library for SVG files (documentation)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the API documentation.

Package: librsvg2-bin
Section: graphics
Architecture: any
Depends: librsvg2-2 (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: command-line and graphical viewers for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes a command-line utility to convert the SVG files
 to the PNG format and a graphical SVG viewer.

Package: gir1.2-rsvg-2.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: gir files for renderer library for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains GObject-Introspection information.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export CARGO_HOME = $(CURDIR)/debian/cargo-home
 NULL =
 
 %:
@@ -12,8 +13,15 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
+	if ! test -e vendor/backtrace-sys/.cargo-checksum.json.dist; then \
+		cp vendor/backtrace-sys/.cargo-checksum.json vendor/backtrace-sys/.cargo-checksum.json.dist; \
+	fi
+	jq '.files = {}' < vendor/backtrace-sys/.cargo-checksum.json.dist > vendor/backtrace-sys/.cargo-checksum.json
+	mkdir -p $(CARGO_HOME)
 	dh_auto_configure -- \
+		--libexecdir='$${exec_prefix}/libexec' \
 		--enable-pixbuf-loader \
+		--enable-installed-tests \
 		--enable-introspection \
 		--enable-vala \
 		--enable-gtk-doc \
@@ -21,7 +29,7 @@
 		$(NULL)
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V -- -c4
+	dh_makeshlibs -- -c4
 
 override_dh_install:
 	find debian/tmp -name '*.a' -print -delete
@@ -38,7 +46,25 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f debian/librsvg2-common.postinst
+	rm -fr $(CARGO_HOME)
+	if test -e vendor/backtrace-sys/.cargo-checksum.json.dist; then \
+		mv vendor/backtrace-sys/.cargo-checksum.json.dist vendor/backtrace-sys/.cargo-checksum.json; \
+	fi
 
-# Skip some tests that are known to fail but don't seem release-critical
-export DEB_BUILD_TIME_TESTS = 1
+# https://bugs.debian.org/895723
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el ppc64 powerpc))
+override_dh_auto_test:
+	CARGO_INCREMENTAL=1 dh_auto_test
+endif
+
+override_dh_auto_test-arch:
+ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test
+	find debian -name '*.log' \
+		-not -name config.log \
+		-not -name test-suite.log \
+		-print0 | xargs -0 tail -v -c1M
+endif
+
+override_dh_auto_test-indep:
+	#@:

## librsvg 2.44.14

=== debian/changelog ===
librsvg (2.44.14-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update to upstream librsvg-2.44 branch at commit 2.44.14-3-g98c0eba8,
    disregarding CI-only changes
    - Respect the direction property for bidi text
    - Be compatible with older rustc
  * d/copyright: Update
  * Drop patches that were applied upstream
  * Stop building rsvg-view-3. It has been removed upstream and will not
    be included in librsvg 2.45.x. The upstream developer of librsvg
    suggests eog as a better interactive GUI SVG viewer; display(1) from
    ImageMagick is another possibility.
    - Drop GTK build-dependency
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12
    - Drop --libexecdir override, /usr/libexec is now the default

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Aug 2019 08:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 12),
                dh-cargo,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.10.8),
@@ -21,13 +21,12 @@
                libgirepository1.0-dev (>= 0.10.8),
                libglib2.0-dev (>= 2.24.0),
                libglib2.0-doc (>= 2.52.0),
-               libgtk-3-dev (>= 3.2.0) <!stage1>,
                libpango1.0-dev (>= 1.38.0),
                libxml2-dev (>= 2.9.0),
                rustc (>= 1.26),
                valac (>= 0.17.5)
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
@@ -97,12 +96,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: foreign
-Description: command-line and graphical viewers for SVG files
+Description: command-line utility to convert SVG files
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
  .
  This package includes a command-line utility to convert the SVG files
- to the PNG format and a graphical SVG viewer.
+ to the PNG format.
 
 Package: gir1.2-rsvg-2.0
 Section: introspection

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	jq '.files = {}' < vendor/backtrace-sys/.cargo-checksum.json.dist > vendor/backtrace-sys/.cargo-checksum.json
 	mkdir -p $(CARGO_HOME)
 	dh_auto_configure -- \
-		--libexecdir='$${exec_prefix}/libexec' \
 		--enable-pixbuf-loader \
 		--enable-installed-tests \
 		--enable-introspection \
@@ -34,6 +33,7 @@
 override_dh_install:
 	find debian/tmp -name '*.a' -print -delete
 	find debian/tmp -name '*.la' -print -delete
+	rm -f debian/tmp/usr/bin/rsvg-view-3
 	dh_install
 	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
 		debian/librsvg2-common.postinst
@@ -58,7 +58,7 @@
 endif
 
 override_dh_auto_test-arch:
-ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
 	find debian -name '*.log' \
 		-not -name config.log \
@@ -67,4 +67,4 @@
 endif
 
 override_dh_auto_test-indep:
-	#@:
+	@:

## librsvg 2.46.4

=== debian/changelog ===
librsvg (2.46.4-1) unstable; urgency=medium

  [ Philip Chimento ]
  * New upstream release
  * d/rules:
    - Remove script to manipulate checksum of backtrace-sys, this crate
      is no longer used
    - Skip reftests, as they are tightly coupled to particular versions of
      pixman, cairo, freetype, and pango
  * d/librsvg2-2.install: Install librsvg.mo files, internationalization
    was added in this version
  * d/patches: Remove typenum-i386-ftbfs.patch, this was fixed in typenum
    1.11.0, which is now used

  [ Olivier Tilloy ]
  * d/patches/thin-lto.patch: change LTO setting to 'thin', to work
    around a bug in rustc that generates invalid DWARF
  * d/librsvg2-2.symbols: updated symbols for new APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Nov 2019 19:21:55 +0100

librsvg (2.44.15-1) unstable; urgency=medium

  * Team upload

  [ Andreas Henriksson ]
  * Add patch to fix FTBFS with gtk-doc 1.32 (Closes: #939958)

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were applied upstream
  * Standards-Version: 4.4.1 (no changes required)
  * d/rules: Generate German and American English locales, required for
    systemLanguage attribute tests

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2019 20:59:14 +0100

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,11 @@
                libglib2.0-doc (>= 2.52.0),
                libpango1.0-dev (>= 1.38.0),
                libxml2-dev (>= 2.9.0),
+               locales,
                rustc (>= 1.26),
                valac (>= 0.17.5)
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg

## librsvg 2.48.0

=== debian/changelog ===
librsvg (2.48.0-1) experimental; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 13 Mar 2020 18:18:27 +0100

librsvg (2.47.3-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/tests/build: Silence a shellcheck warning
  * d/tests: Remove support for ancient autopkgtest versions.
    AUTOPKGTEST_TMP is now required to be set, and we do not fall back
    to the deprecated ADTTMP.
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support
  * d/tests: Mark tests as superficial

  [ Olivier Tilloy ]
  * New upstream release
  * d/control.in: remove libcroco3-dev build dependency
  * d/patches/thin-lto.patch: update patch
  * d/librsvg2-2.symbols: updated symbols for new/removed APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 02 Mar 2020 09:59:47 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                jq,
                libcairo2-dev (>= 1.2.0),
                libcairo2-doc (>= 1.15.4),
-               libcroco3-dev (>= 0.6.1),
                libfreetype6-dev (>= 2.8.0),
                libgdk-pixbuf2.0-dev (>= 2.23.5-2),
                libgirepository1.0-dev (>= 0.10.8),
